#include "ros/ros.h"
#include "my_messages_pkg/person.h"

void doPerson(const my_messages_pkg::person::ConstPtr& person_list){
    ROS_INFO("订阅人的信息：%s,%d,%.2f",person_list->name.c_str(),person_list->age,person_list->height);

}

int main(int argc, char* argv[])
{
    // Initialise the node
    setlocale(LC_ALL,"");
    ros::init(argc, argv, "jiazhang");
    ros::NodeHandle nh;
    ros::Subscriber sub = nh.subscribe("Chat", 10, doPerson);

    ros::spin();
    return 0;
}