#include "ros/ros.h"
#include <ros/package.h>
#include "std_msgs/String.h"

void doMsg(const std_msgs::String::ConstPtr &msg){
    ROS_INFO("CHENJIEL:%s",msg->data.c_str());
}

int main(int argc, char* argv[])
{
    // Initialise the node
    ros::init(argc, argv, "chenjiel_node2");
    ros::NodeHandle nh;
    ros::Subscriber sub = nh.subscribe("fang",10,doMsg);
    
    ros::spin();
    // Main has ended, return 0
    return 0;
}