#include "ros/ros.h"
#include "my_messages_pkg/person.h"

int main(int argc, char* argv[])
{
    // Initialise the node
    setlocale(LC_ALL,"");
    ros::init(argc, argv, "banzhuren");
    ros::NodeHandle nh;
    ros::Publisher pub = nh.advertise<my_messages_pkg::person>("Chat",10);
    
    my_messages_pkg::person person_list;
    person_list.name = "张三";
    person_list.age = 1;
    person_list.height = 1.73;

    ros::Rate rate(1);

    while (ros::ok())
    {
        person_list.age += 1;
        pub.publish(person_list);
        rate.sleep();

        ros::spinOnce();
    }
    // Main has ended, return 0
    return 0;
}